=== debian/control ===
Source: arrayfire
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-dev,
               libblas-dev | libblas.so,
               libclblas-dev,
               libclfft-dev,
               libcompute-dev,
               libfftw3-dev,
               libfreeimage-dev,
               libgtest-dev,
               liblapack-dev | liblapack.so,
               liblapacke-dev,
               ocl-icd-opencl-dev | opencl-dev,
               pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arrayfire.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/arrayfire.git
Homepage: http://arrayfire.com/

Package: libarrayfire-cpu-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libarrayfire-cpu3 (= ${binary:Version}),
         libarrayfire-dev (>= 3.2.2+dfsg1-1),
         ${misc:Depends}
Description: Development files for ArrayFire (CPU backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the development files for the CPU backend of the 
 ArrayFire library.

Package: libarrayfire-cpu3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: High performance library for parallel computing (CPU backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the CPU backend of the ArrayFire library.

Package: libarrayfire-cpu3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libarrayfire-cpu3 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for ArrayFire (CPU backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the debugging symbols for the CPU backend of the 
 ArrayFire library.

Package: libarrayfire-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Suggests: libarrayfire-doc
Breaks: libarrayfire-cpu-dev (<< 3.2.2+dfsg1-1)
Replaces: libarrayfire-cpu-dev (<< 3.2.2+dfsg1-1)
Description: Common development files for ArrayFire
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the development files common to all backends of the
 ArrayFire library.

Package: libarrayfire-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends}
Description: Common documentation and examples for ArrayFire
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the documentation and example source code for the
 ArrayFire library.

Package: libarrayfire-opencl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libarrayfire-dev,
         libarrayfire-opencl3 (= ${binary:Version}),
         ocl-icd-opencl-dev | opencl-dev,
         ${misc:Depends}
Description: Development files for ArrayFire (OpenCL backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the development files for the OpenCL backend of the
 ArrayFire library.

Package: libarrayfire-opencl3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: High performance library for parallel computing (OpenCL backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the OpenCL backend of the ArrayFire library.

Package: libarrayfire-opencl3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libarrayfire-opencl3 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for ArrayFire (OpenCL backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the debugging symbols for the OpenCL backend of the
 ArrayFire library.

Package: libarrayfire-unified-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libarrayfire-dev,
         libarrayfire-unified3 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for ArrayFire (unified backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the development files for the unified backend of the
 ArrayFire library.

Package: libarrayfire-unified3
Architecture: any
Multi-Arch: same
Section: libs
Depends: libarrayfire-cpu3 (= ${binary:Version}) | libarrayfire-opencl3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: High performance library for parallel computing (unified backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the unified backend of the ArrayFire library.

Package: libarrayfire-unified3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libarrayfire-unified3 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for ArrayFire (unified backend)
 ArrayFire is a high performance software library for parallel computing
 with an easy-to-use API. Its array based function set makes parallel
 programming simple.
 .
 ArrayFire's multiple backends (CUDA, OpenCL and native CPU) make it
 platform independent and highly portable.
 .
 A few lines of code in ArrayFire can replace dozens of lines of parallel
 computing code, saving you valuable time and lowering development costs.
 .
 This package provides the debugging symbols for the unified backend of the
 ArrayFire library.
